%define __libtoolize true

Name:		quiteinsane
Version:	0.10
Release:	1mdk
License:	GPL
Group:		Graphics
URL:		http://quiteinsane.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Summary:	KDE Scanning application 
BuildRequires:	kdelibs-devel sane-devel ImageMagick
#redundant requires for 9.1:
BuildRequires:	libusb-devel libieee1284-devel libexif-devel

%description
QuiteInsane is a graphical frontend for SANE ("Scanner Access Now Easy").

%prep
%setup -q

%build
%configure2_5x --with-qt-dir=$QTDIR --enable-mt --enable-kde-app --disable-rpath
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" \
icon="%{name}.png" \
needs="X11" \
section="Multimedia/Graphics" \
title="QuiteInsane" \
longtitle="QuiteInsane is a graphical scanning frontend for SANE"
EOF

mkdir -p %{buildroot}/{%{_miconsdir},%{_liconsdir}}
convert -resize 16x16 %{name}/docs/en/qi_small.png %{buildroot}/%{_miconsdir}/%{name}.png
convert -resize 32x32 %{name}/docs/en/qi_small.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -resize 48x48 %{name}/docs/en/qi_small.png %{buildroot}/%{_liconsdir}/%{name}.png

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -Rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/doc
%dir %{_datadir}/%{name}/locale
%lang(es) %{_datadir}/%{name}/locale/*.es.qm
%lang(de) %{_datadir}/%{name}/locale/*de.qm
%lang(fr) %{_datadir}/%{name}/locale/*.fr.qm
%lang(ru) %{_datadir}/%{name}/locale/*.ru.qm
%doc AUTHORS BUGS ChangeLog COPYING INSTALL PROBLEMS README TODO

%changelog
* Fri Sep 19 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.10-1mdk
- First Mandrake package
